Henning,
Would it be possible to copy the commit log message from the svn repository
instead of referring to the svn revision number? The reason is that the svn
repository may not always be around and then the original commit log message
would be lost.
thanks a lot, Jan.
On 07-05 18:09, Henning Westerholt wrote:
Module: sip-router
Branch: master
Commit: 030e80b538e6ec3f29a73fcc5660af86cb385926
URL:
http://git.sip-router.org/cgi-bin/gitweb.cgi/sip-router/?a=commit;h=030e80b…
Author: Henning Westerholt <henning.westerholt(a)1und1.de>
Committer: Henning Westerholt <henning.westerholt(a)1und1.de>
Date: Thu May 7 18:09:11 2009 +0200
test: port r5833 from kamailio
---
test/unit/3.sh | 9 +++++----
1 files changed, 5 insertions(+), 4 deletions(-)
diff --git a/test/unit/3.sh b/test/unit/3.sh
index b336d8d..a5f808f 100755
--- a/test/unit/3.sh
+++ b/test/unit/3.sh
@@ -19,8 +19,9 @@
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-# Needs a mysql database, the root user password must be given
-# in the file 'dbrootpw' in the test directory
+# Needs a mysql database, the root user password must be assigned to
+# the 'PW' variable in the file 'dbrootpw' in the test directory, e.g.:
+# PW=sql_root_passwd
source include/common
@@ -46,7 +47,7 @@ sed -i "s/TEST=\"false\"/TEST=\"true\"/g"
$DBCTL
# set the mysql root password
cp $DBCTL.mysql $DBCTL.mysql.bak
-sed -i "s/#PW=""/PW="$PW"/g" $DBCTL.mysql
+sed -i "s/#PW=\"\"/PW=\"$PW\"/g" $DBCTL.mysql
./$DBCTL create $tmp_name > /dev/null
ret=$?
@@ -62,4 +63,4 @@ mv $DBCTL.mysql.bak $DBCTL.mysql
mv $DBCTL.bak $DBCTL
cd ../test
-exit $ret
\ No newline at end of file
+exit $ret
_______________________________________________
sr-dev mailing list
sr-dev(a)lists.sip-router.org
http://lists.sip-router.org/cgi-bin/mailman/listinfo/sr-dev